# Class SvgTranslocation

java.lang.Object
org.snpeff.svg.Svg
org.snpeff.svg.SvgTranslocation

public class SvgTranslocation extends Svg
Create an SVG representation of a BND (translocation) variant In a VCF file, there are four possible translocations (BND) entries: REF ALT Meaning type 1: s t[p[ piece extending to the right of p is joined after t type 2: s t]p] reverse comp piece extending left of p is joined after t type 3: s ]p]t piece extending to the left of p is joined before t type 4: s [p[t reverse comp piece extending right of p is joined before t

## Field Summary

### Fields inherited from class Svg

`debug, DEFAULT_BASE_Y, DEFAULT_SIZE_X, DEFAULT_SIZE_Y, LINE_COLOR_STROKE, LINE_STROKE_WIDTH, RECT_COLOR_FILL, RECT_COLOR_STROKE, RECT_HEIGHT, RECT_STROKE_WIDTH, TEXT_SIZE, TEXT_STYLE`

## Constructor Summary

Constructors
Constructor
Description
`SvgTranslocation(Transcript tr1, Transcript tr2, VariantBnd varBnd, SnpEffectPredictor snpEffPredictor)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Create transcript and variant Svgs

### Methods inherited from class Svg

`close, factory, hline, id, marker, markerId, open, rectangle, rectangle, setBaseY, text`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SvgTranslocation

public SvgTranslocation(Transcript tr1, Transcript tr2, VariantBnd varBnd, SnpEffectPredictor snpEffPredictor)

## Method Details

### toString

public String toString()
Create transcript and variant Svgs

Overrides:
  `toString` in class `Svg`